# Configuring Tags for a Bucket

You can add tags to a bucket when creating the bucket. For details, see Creating a Bucket. Also you can add tags to a bucket after it has been created. This topic describes how to add tags to a bucket after it has been created.

#### Procedure

1. In the bucket list, click the bucket to be operated. The Overview page of the bucket is displayed.
2. In the right Basic Configurations area, click Tags. The Tags page is displayed.

   Alternatively, you can choose Basic Configurations > Tags in the navigation pane on the left.

3. Click Add Tag. The Add Tag dialog box is displayed. See Figure 1 for details.

   Figure 1 Add Tag
4. Set the key and value based on Table 1.

   Table 1 Parameter description
   Parameter | Description
   --- | ---

   Key

   Specifies the key of the tag. Each tag of a bucket has a unique key. The value of the key can be self-defined or predefined by TMS.

   A tag key must comply with the following naming rules:
   - Must contain 1 to 36 characters.
   - Only digits, letters, underscores (_), hyphens (-) are allowed.

   Value

   Specifies the value of the tag. Tags of a bucket can have repetitive or blank values.

   The tag value must comply with the following naming rules:
   - Must contain 0 to 43 characters.
   - Only digits, letters, underscores (_), hyphens (-) are allowed.

5. Click OK.

   It takes approximately 3 minutes for the tag to take effect.

#### Related Operations

To modify the tag configuration, edit Value of the tag. You can also click Delete next to a tag to delete the tag.

Searching for buckets by tag is not supported by OBS. However, you can use Tag Management Service (TMS) to search for buckets by tag. For details, see Searching for Cloud Resources. Resource Type should be set to OBS-Bucket.

Parent topic: Tags